<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class InventoryLog extends Model
{
    protected $fillable = [
        'product_id', 'quantity', 'type', 'description'
    ];

    // Relasi: Log ini mencatat produk apa?
    public function product(): BelongsTo
    {
        return $this->belongsTo(Product::class);
    }
}